package environment.event;

import java.rmi.Remote;
import java.rmi.RemoteException;

/** 
 * Listener interface to register for DetektorEvents. The
 * class that implements the DetektorListener interface must
 * provide an implementation for the vehicleDetected() method.
 * 
 * @author Andreas Metzger
 * @version 1.0
 */

public interface DetektorListener extends Remote {
    
	/** This method is invoked by the source object of the DetektorEvent
	 * if such an event occurs.
	 * @param e The event that lead to invoking this method.
	 * @throws All RMI objects throw this exception.
	 */
	public void vehicleDetected(DetektorEvent e) throws RemoteException;
}
